# Get an Entity by ID

## Get an entity by ID

> This method returns the entity that matches the entered ID.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"Entity":{"additionalProperties":false,"properties":{"accounts":{"items":{"type":"integer"},"type":"array"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"id":{"type":"integer"},"last_request":{"default":null,"nullable":true,"type":"integer"},"name":{"type":"string"},"status":{"type":"string"}},"required":["accounts","created_by","created_on","id","name","status"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/entities/{entity_id}":{"get":{"summary":"Get an entity by ID","tags":["Entities"],"description":"This method returns the entity that matches the entered ID.","parameters":[{"name":"entity_id","in":"path","description":"The entity's ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Entity"}}},"description":"entity object"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"entity not found"}}}}}}
```
